Layton Helpbox 4.4.0 Cross Site Scripting

2012-10-26T00:00:00
ID PACKETSTORM:117690
Type packetstorm
Reporter Joseph Sheridan
Modified 2012-10-26T00:00:00

Description

                                        
                                            `Layton Helpbox 4.4.0 Reflected Cross-Site Scripting by Joseph Sheridan  
  
Summary  
  
Layton Technologies Helpbox product version 4.4.0 is vulnerable to a reflected cross-site scripting vulnerability.  
  
CVE number: CVE-2012-4972  
Impact: Medium  
Vendor homepage: http://www.laytontechnology.com  
Vendor notified: 10/09/2012  
Vendor response: This product has been replaced by 'ServiceDesk' but fixes may be available with valid support contracts.  
Credit: Joseph Sheridan of ReactionIS  
  
Affected Products  
  
Helpbox 4.4.0  
  
Details  
  
The following pages and parameters were found to be vulnerable:  
  
deletesolution.asp (sys_solution_id GET param)  
  
Impact  
  
An attacker may be able to steal session cookies, attempt to install software or redirect victims to malicious sites.  
  
Solution  
  
Layton advise upgrading to their newer 'ServiceDesk' product. However, if you have an active support contract, Layton may be able to provide fixes for you.  
  
About ReactionIS  
  
Reaction Information Security is a leading independent pen test consultancy specialising in delivering the highest quality security testing services including network pen testing and web application security testing. As a CESG CHECK Service Provider we are authorised to carry out penetration testing on classified government networks.  
  
  
`